## org.eclipse.datatools.modelbase.sql.query
Interface UpdateOfColumn

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface UpdateOfColumn

extends SQLQueryObject

A representation of the model object 'Update Of Column'.

The following features are supported:

- `Updatability Expr`

See Also:
  `SQLQueryModelPackage.getUpdateOfColumn()`

Method Summary
`UpdatabilityExpression` `getUpdatabilityExpr()` Returns the value of the 'Updatability Expr' container reference.
`void` `setUpdatabilityExpr(UpdatabilityExpression value)` Sets the value of the '`Updatability Expr`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getUpdatabilityExpr

    UpdatabilityExpression getUpdatabilityExpr()

  Returns the value of the 'Updatability Expr' container reference. It is bidirectional and its opposite is '`Update Of Column List`'.

  If the meaning of the 'Updatability Expr' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Updatability Expr' container reference.
  See Also:
    `setUpdatabilityExpr(UpdatabilityExpression)`, `SQLQueryModelPackage.getUpdateOfColumn_UpdatabilityExpr()`, `UpdatabilityExpression.getUpdateOfColumnList()`

### setUpdatabilityExpr

    void setUpdatabilityExpr(UpdatabilityExpression value)

  Sets the value of the '`Updatability Expr`' container reference.

  Parameters:
    `value` - the new value of the 'Updatability Expr' container reference.
  See Also:
    `getUpdatabilityExpr()`